/*
 * @Author: sjl
 * @Date: 2023-07-06 19:39:53
 * @Descripttion:这个是地图公共方法类
 */
export default {
  /**
   *地图初始化公共方法
   */
  initMap(id) {
    var map = new TFMap.Map(id, window.mapConfig);
    var status = false;
    map.components.showCompass = true;
    map.components.showBottom = status;
    map.components.showPrint = status;
    map.components.showFullscreen = status;
    map.components.showHome = status;
    map.components.showLayerControl = status;
    map.components.showSceneMode = status;
    map.components.showScale = true;
    return map;
  },
};
